<?php 
function getUserIP()
{
    $client  = @$_SERVER['HTTP_CLIENT_IP'];
    $forward = @$_SERVER['HTTP_X_FORWARDED_FOR'];
    $remote  = $_SERVER['REMOTE_ADDR'];

    if(filter_var($client, FILTER_VALIDATE_IP))
    {
        $ip = $client;
    }
    elseif(filter_var($forward, FILTER_VALIDATE_IP))
    {
        $ip = $forward;
    }
    else
    {
        $ip = $remote;
    }

    return $ip;
}


$user_ip = getUserIP();

$details = json_decode(file_get_contents("http://ipinfo.io/{$user_ip}/json"));
$json_string = json_encode($details, JSON_PRETTY_PRINT);

echo "IP: ".$user_ip."<br/>";
echo "City: ". $details->city."<br/>";
echo "region: ". $details->region."<br/>";
echo "country: ". $details->country."<br/>";
echo "postal: ". $details->postal."<br/>";
echo "loc: ". $details->loc."<br/>";
echo "hostname: ". $details->hostname."<br/>";
echo "org: ". $details->org."<br/>";
$useragent = $_SERVER ['HTTP_USER_AGENT'];
echo "<b>Your User Agent is</b>: " . $useragent;
?>

<!DOCTYPE html>
<html>
  <head>
    <style>
      #map-canvas {
      	margin-top: 30px;
        width: 500px;
        height: 400px;
      }
    </style>
    <script src="https://maps.googleapis.com/maps/api/js"></script>
    <script>
    	var geocoder; //To use later
	var map; //Your map
	
      function initialize() {
        var mapCanvas = document.getElementById('map-canvas');
        var mapOptions = {
          //center: new google.maps.LatLng(44.5403, -78.5463),
          center: new google.maps.LatLng(<?php echo $details->loc; ?>),
          zoom: 12,
          mapTypeId: google.maps.MapTypeId.ROADMAP
        }
        var map = new google.maps.Map(mapCanvas, mapOptions)
        
      }	
      
      
    </script>
  </head>
  <body>
    <div id="map-canvas"></div>
  </body>
</html>
